<?php

$webdoc["page_title"].=" - Test Run";
$webdoc["main_table"]="test_run";

kernel_set_variables();

kernel_require_script(2,"list");

if (isset($_GET["subpage2"])) $menu2_url[]="?subpage1=test_run&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="List";
if ($_GET["subpage2"]!="columns") $menu2_url[]="?subpage1=test_run&subpage2=columns$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Columns";
if ($_GET["subpage2"]!="filter") $menu2_url[]="?subpage1=test_run&subpage2=filter$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Filter";
if ($webdoc["role_id"]<=1)
{
  if ($_GET["subpage2"]!="new") $menu2_url[]="?subpage1=test_run&subpage2=new"; else $menu2_url[]=""; $menu2_titles[]="New";
}
if (isset($webdoc["test_run_id"]))
{
  if ($_GET["subpage2"]!="view") $menu2_url[]="?subpage1=test_run&subpage2=view&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="View";
  if ($_GET["subpage2"]!="edit") $menu2_url[]="?subpage1=test_run&subpage2=edit&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="Edit";
  if ($webdoc["role_id"]<=4)
  {
    if ($_GET["subpage2"]!="copy") $menu2_url[]="?subpage1=test_run&subpage2=copy&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="Copy";
  }
  if ($_GET["subpage2"]!="export") $menu2_url[]="?subpage1=test_run&subpage2=export".(isset($webdoc["test_run_id"])?"&test_run_id=$webdoc[test_run_id]":"")."$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Export";
  if ($_GET["subpage2"]!="files") $menu2_url[]="?subpage1=test_run&subpage2=files&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="Files";
  if ($webdoc["role_id"]<=3)
  {
    if ($_GET["subpage2"]!="approve") $menu2_url[]="?subpage1=test_run&subpage2=approve&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="Approving";
  }
  if ($_GET["subpage2"]!="tested") $menu2_url[]="?subpage1=test_run&subpage2=tested&test_run_id=$webdoc[test_run_id]"; else $menu2_url[]=""; $menu2_titles[]="Set Tested";
}

$template->template_assign('menu2_url',$menu2_url);
$template->template_assign('menu2_titles',$menu2_titles);

?>
